#Clase DietaAlim que representa un menú dietético que se clasifica por grupo de alimentos.
#Hereda de la clase Dieta.
class DietaAlim < Dieta

	#Grupo de alimentos al que pertenece el menú
	attr_reader :alim
	
	#Inicializa los atributos llamando al initialize de la clase madre Dieta e inicializando los atributos propios de esta clase
	def initialize(titulo, ing_diaria, platos, vct, prot, grasas, carbo, alim)
		
		super(titulo, ing_diaria, platos, vct, prot, grasas, carbo)
		@alim=alim
	end	
	
	#Muestra el menú usando el to_s de la clase madre e imprimiendo el nuevo atributo
	def to_s

		super + "\n#{@alim}"
	
	end

end
